/*
 *	Title:		o3find
 *	Version:	0.8
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003-2005 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */



#include "../common/o3findclass.h"


namespace Fanel
{

class OoFinderConsole : public OoFinder
{
public:
	OoFinderConsole(bool bCaseSensitive, bool bShowErrors, bool bShowNotFound, bool bBriefMode,
				SEARCH_IN search_in, bool bReadAlreadyOpenFile);
	~OoFinderConsole();

	inline void ClearResults();
	inline const list<string>& GetResultList() const;
protected:
// overrides
	virtual void ReportFound(const string& sFile, const string& sLine);
	virtual void ReportError(const string& sFile, const string& sMessage);
	virtual void ReportNotFound(const string& sFile);

	list<string> _lstFound;
};



// inline functions

void OoFinderConsole::ClearResults()
{
	_lstFound.clear();
}

const list<string>& OoFinderConsole::GetResultList() const
{
	return _lstFound;
}



} // end namespace Fanel



